import React from 'react';
import { QrcodeOutlined } from '@ant-design/icons';
import HeaderDropdown from '@/components/HeaderDropdown';
import QrCode from './QrCode';
import styles from '../index.less';

export default (props) => {

  return (
    <HeaderDropdown overlay={<QrCode />}>
      <span className={`${styles.action} ${styles.account}`} style={{ padding: 0 }}>
        <span className={`${styles.name} anticon`}><QrcodeOutlined style={{ fontSize: '24px' }} /></span>
      </span>
    </HeaderDropdown>
  );
};
