import React from 'react';
import { Space, Row, Col } from 'antd'
import ReportList from './components/ReportList';
import OrgSummary from './components/OrgSummary';
import BannerStatis from './components/BannerStatis';

export default (props) => {  
  return (
    <Space direction="vertical" size="large" style={{ width: '100%' }}>
      <BannerStatis />

      <Row gutter={24}>
        <Col span={12}><OrgSummary /></Col>
        <Col span={12}>
          <ReportList />
        </Col>
      </Row>
    </Space>
  )
}